Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.pubsub
Enum Node.ItemReplyPolicy

    java.lang.Object
      java.lang.Enum<Node.ItemReplyPolicy>
          org.jivesoftware.openfire.pubsub.Node.ItemReplyPolicy

All Implemented Interfaces:
  Serializable, Comparable<Node.ItemReplyPolicy>

Enclosing class:
  Node

    public static enum Node.ItemReplyPolicy

extends Enum<Node.ItemReplyPolicy>

Policy that defines whether owners or publisher should receive replies to items.

Enum Constant Summary
`owner` Statically specify a replyto of the node owner(s).
`publisher` Dynamically specify a replyto of the item publisher.

Method Summary
`static Node.ItemReplyPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Node.ItemReplyPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### owner

    public static final Node.ItemReplyPolicy owner

  Statically specify a replyto of the node owner(s).

### publisher

    public static final Node.ItemReplyPolicy publisher

  Dynamically specify a replyto of the item publisher.

Method Detail

### values

    public static final Node.ItemReplyPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Node.ItemReplyPolicy c : Node.ItemReplyPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Node.ItemReplyPolicy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.